/* ------------------------------------------------------------------ 

	Title: BREditWindow

	Description:  Edits resource name and ID

	Author :
		Stephen Wardlaw, M.D.
		Medical R&D
		Highrock
		Lyme, CT 06371

	Edit History:	
		05 September, 1999
			Created
------------------------------------------------------------------ */ 
#include <InterfaceKit.h>

const uint32 add_bmp		= 'Abmp';	// Message from this window
const char	res_id_str[8]	= "IDNum";
const char	res_name_str[8]	= "ResName";

class BREditWindow : public BWindow {

	public :
	
		BREditWindow(const char* wName,
					 BRect frame = BRect(0,0,0,0),
					 const char* name = NULL,
					 window_look look = B_MODAL_WINDOW_LOOK,
					 window_feel feel = B_MODAL_APP_WINDOW_FEEL,
					 uint32 flags = B_NOT_RESIZABLE | B_NOT_ZOOMABLE);
		
	virtual
		~BREditWindow();
		
	void
		MessageReceived(BMessage* theMesg);
		
	protected :	// Data
	
	enum {
		max_res_name = 16,
		max_res_id = 12
	};
	
	BTextControl*	mEditName;
	BTextControl*	mEditID;
};