/* ------------------------------------------------------------------ 

	Title: BRWindow

	Description:  Shows resource information

	Author :
		Stephen Wardlaw, M.D.
		Medical R&D
		Highrock
		Lyme, CT 06371

	Edit History:	
		05 September, 1999
			Created
------------------------------------------------------------------ */ 
#include <InterfaceKit.h>
#include "WTextWindow.h"
#include "BREditWindow.h"


class BRWindow : public WTextWindow {

	public :
	
		BRWindow(BRect frame, const char* name = "Bitmap2Rsrc");
		
	virtual
		~BRWindow();
		
	void
		MessageReceived(BMessage* theMesg);
		
	void
		RefsReceived(BMessage* theMesg);
		
	protected :	// Methods
	
	void
		AddBitmap(int32 resID, const char* rName);
	
	void
		GetBitmap(BMessage* theMesg);
	
	void
		ListResources(const char* fileName);
	
	void
		MenusBeginning();
		
	void
		OpenFile(BMessage* theMesg);
		
	void
		SaveAsFile(BMessage* theMesg);
		
	bool
		ShowResource(int32 index);
		
	protected : // Data
		BFilePanel*	mOpenPanel;
		BFilePanel*	mSavePanel;
		BResources* mResources;
		BMenuItem*	mNewItem;
		BMenuItem*	mOpenItem;
		BMenuItem*	mAddItem;
		BMenuItem*	mCloseItem;
		BMenuItem*	mResType;
		BMessage*	mArchivedObj;
		BView*		mPictView;
		int32		mResIndx;
		bool		mSaveAsBitmap;
		
};